This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 488984 - rescue mode: "You don't have any Linux partitions."
rescue mode: "You don't have any Linux partitions."
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 11:33 EST by John Reiser
Modified: 2009-09-10 12:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-11 14:45:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2009-03-06 11:33:40 EST
Description of problem: Today's (Fri.Mar.6) Rescue mode says that there are no Linux partitions, when actually there are (6+9+15) partitions on three drives (with DOS, GPT, and DOS partition tables respectively.)  fdisk and parted from a rescue mode shell can find the partitions properly.  One of the partitions (#2 on the first drive) is NTFS with Vista.  The other 29 partitions are ext3 or swap or empty (no filesystem), and include at least ten Fedora root partitions from FC6 through F11alpha, both i386 and x86_64 flavors.


Version-Release number of selected component (if applicable):
anaconda-11.5.0.25

How reproducible: always


Steps to Reproduce:
1. boot rescue mode
2. default language and keyboard; no network; Continue to find partitions
3.
  
Actual results: "You don't have any Linux partitions."


Expected results: List of eligible partitions for rescue.


Additional info: The same bad behavior occurs on i386 and x86_64.
Comment 1 John Reiser 2009-03-10 11:42:40 EDT
The problem persists in today's (Tue.Mar.10) Rescue mode of boot.iso for i386, with new anaconda-11.5.0.26.
Comment 2 Chris Lumens 2009-03-11 14:45:36 EDT
This will be fixed in the next build of anaconda.  Thanks for the bug report.
Comment 3 Bill McGonigle 2009-05-24 23:52:29 EDT
I see this on the F11-preview install DVD.  Was that too early for the next anaconda build?
Comment 4 Reik Red 2009-09-09 13:17:36 EDT
Why is this bug closed? It persists in Fedora 11 release, and not only in rescue mode, but also in install mode. 

I have a system with a Fedora 10 clean install, and when I try to install Fedora 11 on top of it from DVD I also get this error message. If I do a rescue, I get it as well.
Comment 5 Bill McGonigle 2009-09-10 12:07:56 EDT
It would seem a respin of F11 with the fixed anaconda would be necessary to have a viable rescue mode during its support cycle.  Should that be a new bug?

Note You need to log in before you can comment on or make changes to this bug.